%global debug_package %{nil}

Name:           SigDigger
Version:        0.3.0
Release:        2%{?dist}
Summary:        Qt-based digital signal analyzer, using Suscan core and Sigutils DSP library

License:        GPL-3.0
URL:            https://github.com/BatchDrake/%{name}
%undefine _disable_source_fetch
Source0:        https://github.com/BatchDrake/%{name}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
%define     SHA256SUM0 fa0fb3bac8541b167fbec581326e39f398ea4b48508a8076d3a7d6e5a37b35b6

BuildRequires:	gcc
BuildRequires:  fftw-devel >= 3.0
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  sigutils >= 0.3
BuildRequires:  suscan-devel >= 0.3
BuildRequires:  SuWidgets >= 0.3
BuildRequires:  alsa-lib >= 0.1
BuildRequires:  SoapySDR-devel >= 0.5
BuildRequires:  volk-devel >= 1.0

%description
SigDigger is a free digital signal analyzer for GNU/Linux and macOS, designed to extract information of unknown radio signals. It supports a variety of SDR devices through SoapySDR, and allows adjustable demodulation of FSK, PSK and ASK signals, decode analog video, analyze bursty signals and listen to analog voice channels (all in real time).

%prep
echo "%SHA256SUM0 %SOURCE0" | sha256sum -c -
%autosetup

%build
export QTDIR="%{_qt5_prefix}"
export PATH="%{_qt5_bindir}:$PATH"
%qmake_qt5 PREFIX=%{_prefix} %{name}.pro
%make_build

%install
%make_install INSTALL_ROOT="%{buildroot}"

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_includedir}/%{name}
%{_datadir}/applications
%{_datadir}/icons

%changelog
* Sat Dec 23 2023 sebastian
- initial commit
